Bug 1128336 - Review Request: libnsbmp - Decoding library for BMP and ICO image file formats
Summary: Review Request: libnsbmp - Decoding library for BMP and ICO image file formats
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-09 07:43 UTC by Christopher Meng
Modified: 2015-08-25 16:06 UTC (History)
3 users (show)

Fixed In Version: 0.1.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-14 09:08:47 UTC
mhroncok: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-08-09 07:43:22 UTC
Spec URL: http://us-la.cicku.me/libnsbmp.spec
SRPM URL: http://us-la.cicku.me/libnsbmp-0.1.1-1.fc22.src.rpm
Description: Libnsbmp is a decoding library for BMP and ICO image file formats written in C. It was developed as part of the NetSurf project.

Features:
* Decodes BMP files
* Decodes ICO files
* Example usage demonstration
Fedora Account System Username: cicku

Comment 1 Miro Hrončok 2014-09-03 13:06:04 UTC
Notes:

 * What about including examples in devel doc?
 * Drop a note/comment about -Werror sedding

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libnsbmp-0.1.1-1.fc20.x86_64.rpm
          libnsbmp-devel-0.1.1-1.fc20.x86_64.rpm
          libnsbmp-0.1.1-1.fc20.src.rpm
libnsbmp-devel.x86_64: W: only-non-binary-in-usr-lib
libnsbmp-devel.x86_64: W: no-documentation
libnsbmp.src:53: W: macro-in-comment %doc
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libnsbmp libnsbmp-devel
libnsbmp-devel.x86_64: W: only-non-binary-in-usr-lib
libnsbmp-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
libnsbmp (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)

libnsbmp-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libnsbmp(x86-64)
    libnsbmp.so.0()(64bit)



Provides
--------
libnsbmp:
    libnsbmp
    libnsbmp(x86-64)
    libnsbmp.so.0()(64bit)

libnsbmp-devel:
    libnsbmp-devel
    libnsbmp-devel(x86-64)
    pkgconfig(libnsbmp)



Source checksums
----------------
http://download.netsurf-browser.org/libs/releases/libnsbmp-0.1.1-src.tar.gz :
  CHECKSUM(SHA256) this package     : 584046809d3213e5917cd26eafb03068ca94274229f595f0e0520b15fa454f98
  CHECKSUM(SHA256) upstream package : 584046809d3213e5917cd26eafb03068ca94274229f595f0e0520b15fa454f98


Package APPROVED.

Comment 2 Christopher Meng 2014-09-04 22:00:54 UTC
Sure, I will add a note about the hack.

New Package SCM Request
=======================
Package Name: libnsbmp
Short Description: Decoding library for BMP and ICO image file formats
Upstream URL: http://www.netsurf-browser.org/projects/libnsbmp/
Owners: cicku
Branches: f19 f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-09-05 11:59:37 UTC
Git done (by process-git-requests).

Comment 4 Miro Hrončok 2014-12-29 11:13:16 UTC
What's the status?

Comment 5 Miro Hrončok 2015-01-26 14:34:01 UTC
Still no builds in Koji.

Comment 6 Fedora Update System 2015-08-14 09:14:27 UTC
libnsbmp-0.1.2-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/libnsbmp-0.1.2-1.fc23

Comment 7 Fedora Update System 2015-08-14 09:14:36 UTC
libnsbmp-0.1.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libnsbmp-0.1.2-1.fc22

Comment 8 Fedora Update System 2015-08-14 09:14:42 UTC
libnsbmp-0.1.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libnsbmp-0.1.2-1.fc21

Comment 9 Fedora Update System 2015-08-25 01:55:50 UTC
libnsbmp-0.1.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-08-25 03:47:16 UTC
libnsbmp-0.1.2-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-08-25 16:06:40 UTC
libnsbmp-0.1.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.